Loading...
Searching...
No Matches
svn_log_changed_path2_t Struct Reference

A structure to represent a path that changed for a log entry. More...

`#include <svn_types.h>`

## Data Fields

char | action
| 'A'dd, 'D'elete, 'R'eplace, 'M'odify
const char * | copyfrom_path
| Source path of copy (if any).
svn_revnum_t | copyfrom_rev
| Source revision of copy (if any).
svn_node_kind_t | node_kind
| The type of the node, may be svn_node_unknown.
svn_tristate_t | text_modified
| Is the text modified, may be svn_tristate_unknown.
svn_tristate_t | props_modified
| Are properties modified, may be svn_tristate_unknown.

## Detailed Description

A structure to represent a path that changed for a log entry.

Note
  To allow for extending the svn_log_changed_path2_t structure in future releases, always use svn_log_changed_path2_create() to allocate the structure.

Since
  New in 1.6.

Definition at line 746 of file svn_types.h.

## Field Documentation

## action

char svn_log_changed_path2_t::action

'A'dd, 'D'elete, 'R'eplace, 'M'odify

Definition at line 749 of file svn_types.h.

## copyfrom_path

const char* svn_log_changed_path2_t::copyfrom_path

Source path of copy (if any).

Definition at line 752 of file svn_types.h.

## copyfrom_rev

svn_revnum_t svn_log_changed_path2_t::copyfrom_rev

Source revision of copy (if any).

Definition at line 755 of file svn_types.h.

## node_kind

svn_node_kind_t svn_log_changed_path2_t::node_kind

The type of the node, may be svn_node_unknown.

Definition at line 758 of file svn_types.h.

## props_modified

svn_tristate_t svn_log_changed_path2_t::props_modified

Are properties modified, may be svn_tristate_unknown.

Since
  New in 1.7.

Definition at line 766 of file svn_types.h.

## text_modified

svn_tristate_t svn_log_changed_path2_t::text_modified

Is the text modified, may be svn_tristate_unknown.

Since
  New in 1.7.

Definition at line 762 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h